using Gr4vy;
using Gr4vy.Models.Components;
var sdk = new Gr4vySDK(
id: "example",
server: SDKConfig.Server.Sandbox,
bearerAuthSource: Auth.WithToken(privateKey),
merchantAccountId: "default"
);
var res = await sdk.Buyers.CreateAsync(buyerCreate: new BuyerCreate() {});
// handle response{
"merchant_account_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"type": "buyer",
"id": "fe26475d-ec3e-4884-9553-f7356683f7f9",
"display_name": "John Doe",
"external_identifier": "buyer-12345",
"billing_details": {
"first_name": "John",
"last_name": "Doe",
"email_address": "john@example.com",
"phone_number": "+1234567890",
"address": {
"city": "San Jose",
"country": "US",
"postal_code": "94560",
"state": "California",
"state_code": "US-CA",
"house_number_or_name": "10",
"line1": "Stafford Appartments",
"line2": "29th Street",
"organization": "Gr4vy"
},
"tax_id": {
"value": "<string>",
"kind": "ae.trn"
}
},
"account_number": "<string>"
}Create a new buyer record.
using Gr4vy;
using Gr4vy.Models.Components;
var sdk = new Gr4vySDK(
id: "example",
server: SDKConfig.Server.Sandbox,
bearerAuthSource: Auth.WithToken(privateKey),
merchantAccountId: "default"
);
var res = await sdk.Buyers.CreateAsync(buyerCreate: new BuyerCreate() {});
// handle response{
"merchant_account_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"type": "buyer",
"id": "fe26475d-ec3e-4884-9553-f7356683f7f9",
"display_name": "John Doe",
"external_identifier": "buyer-12345",
"billing_details": {
"first_name": "John",
"last_name": "Doe",
"email_address": "john@example.com",
"phone_number": "+1234567890",
"address": {
"city": "San Jose",
"country": "US",
"postal_code": "94560",
"state": "California",
"state_code": "US-CA",
"house_number_or_name": "10",
"line1": "Stafford Appartments",
"line2": "29th Street",
"organization": "Gr4vy"
},
"tax_id": {
"value": "<string>",
"kind": "ae.trn"
}
},
"account_number": "<string>"
}buyers.write scope.Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the merchant account to use for this request.
"default"
Request body for creating a new buyer
The display name for the buyer.
1 - 200"John Doe"
The merchant identifier for this buyer.
1 - 200"buyer-12345"
The billing name, address, email, and other fields for this buyer.
Show child attributes
The buyer account number
1 - 200Successful Response
The ID of the merchant account this buyer belongs to.
"default"
The date this buyer was created at.
"2013-07-16T19:23:00.000+00:00"
The date this buyer was last updated at.
"2013-07-16T19:23:00.000+00:00"
Always buyer.
"buyer""buyer"
The ID for the buyer.
"fe26475d-ec3e-4884-9553-f7356683f7f9"
The display name for the buyer.
1 - 200"John Doe"
The merchant identifier for this buyer.
1 - 200"buyer-12345"
The billing name, address, email, and other fields for this buyer.
Show child attributes
The buyer account number
1 - 200